Bug 904330 - Review Request: perl-Data-Validate-IP - Ipv4 and ipv6 validation methods
Review Request: perl-Data-Validate-IP - Ipv4 and ipv6 validation methods
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-26 05:05 EST by Normunds
Modified: 2014-04-03 12:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Data-Validate-IP-0.18-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 12:29:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Normunds 2013-01-26 05:05:52 EST
Spec URL: http://unibackup.rule.lv/FedoraRPM/perl-Data-Validate-IP.spec
SRPM URL: http://unibackup.rule.lv/FedoraRPM/perl-Data-Validate-IP-0.14-1.fc16.src.rpm
Description: This module collects ip validation routines to make input validation, and 
untainting easier and more readable.

All functions return an untainted value if the test passes, and undef if it
fails. This means that you should always check for a defined status explicitly.
Don't assume the return will be true. (e.g. is_username('0'))

The value to test is always the first (and often only) argument.


Fedora Account System Username: normunds
Comment 1 Normunds 2013-01-26 05:18:47 EST
All packages mentioned below were tested with rpmlint, mock (for i386 arch) and koji (16, 17, 18, 19, rawhide). These are my first packages for Fedora, so if you find something to improve in one of them, don't bother, I'll check other packages for reported problems.

Need sponsor.

bug 903824 perl-Convert-Age.spec
bug 903826 perl-Net-Domain-TLD.spec
bug 903829 perl-Time-Interval.spec
bug 904328 perl-Config-ApacheFormat.spec
bug 904329 perl-Data-Validate-Domain.spec
bug 904330 perl-Data-Validate-IP.spec
bug 904331 perl-Shell.spec

Thanks.
Comment 2 Petr Šabata 2013-01-29 09:47:37 EST
Removing FE-NEEDSPONSOR.
Comment 3 Normunds 2013-02-04 12:45:44 EST
Specfiles and packages updated according to lessons learned from the following reviewed bugs:

Bug 903824
bug 903829
bug 904328
Comment 4 Petr Šabata 2013-02-20 10:15:15 EST
Ok, here are some notes from me :)

> 23 %description
> 24 This module collects ip validation routines to make input validation, and
> 25 untainting easier and more readable.
> 26 
> 27 All functions return an untainted value if the test passes, and undef if it
> 28 fails. This means that you should always check for a defined status explicitly.
> 29 Don't assume the return will be true. (e.g. is_username('0'))
> 30 
> 31 The value to test is always the first (and often only) argument.

I'd keep only the first sentence (lines 24-25), the rest is too technical for a description.  Also, substitute "ip" with "IP address".

> 36 find lib -name "*.pm" -exec chmod -c a-x {} +

Not needed here.  Could be removed.

>   2 Version:        0.14

A new version, 0.18, came out yesterday.  Please, update the package.
Comment 5 Normunds 2013-02-21 06:55:30 EST
Thank you for your review :) 

 * Description fixed
 * Unneeded chmod a-x removed.
 * Updated to version 0.18, ran tests.
 * Added perl(NetAddr::IP) build dependency as it is required in new module.

Best regards
Comment 6 Petr Šabata 2013-02-21 07:13:29 EST
(In reply to comment #5)
> Thank you for your review :) 
> 
>  * Description fixed

Ack.

>  * Unneeded chmod a-x removed.

Ack.

>  * Updated to version 0.18, ran tests.

Ack.

>  * Added perl(NetAddr::IP) build dependency as it is required in new module.

Ack, but you'll also need those two:

perl(lib)
perl(Scalar::Util)
Comment 7 Normunds 2013-02-21 07:49:22 EST
Ugh! How did I miss that?

 * Added build dependencies lib, Scalar::Util
 * Changed Download URI as it was changed.

Thanks :)
Comment 8 Petr Šabata 2013-02-21 07:53:59 EST
Awesome, approving :)
Comment 9 Normunds 2013-02-21 08:08:58 EST
Thank you. Requesting CVS.

New Package SCM Request
=======================
Package Name: perl-Data-Validate-IP
Short Description: Perl IP address validation routines
Owners: normunds psabata
Branches: f17 f18
InitialCC: perl-sig
Comment 10 Gwyn Ciesla 2013-02-21 08:25:22 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-02-21 10:02:38 EST
perl-Data-Validate-IP-0.18-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Data-Validate-IP-0.18-1.fc17
Comment 12 Fedora Update System 2013-02-21 10:18:16 EST
perl-Data-Validate-IP-0.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Data-Validate-IP-0.18-1.fc18

Note You need to log in before you can comment on or make changes to this bug.